Web API Reference | MapGuide Open Source

- Overview
- Modules
- Classes

# MgResourceService Class Reference
[Resource Service Classes]

Enables you to manipulate repositories and resources. More...

Inherits MgService.

List of all members.

## Public Member Functions
virtual void | ApplyResourcePackage (MgByteReader *resourcePackage)=0
| Applies a package of resource changes to the repository.
virtual void | ChangeResourceOwner (MgResourceIdentifier *resource, CREFSTRING owner, bool includeDescendants)=0
| Changes the owner of a resource.
virtual void | CopyResource (MgResourceIdentifier *sourceResource, MgResourceIdentifier *destResource, bool overwrite)=0
| Copies an existing resource to another location.
virtual void | DeleteResource (MgResourceIdentifier *resource)=0
| Deletes an existing resource and its associated data from the repository.
virtual void | DeleteResourceData (MgResourceIdentifier *resource, CREFSTRING dataName)=0
| Deletes resource data from the specified resource.
virtual MgByteReader * | EnumerateReferences (MgResourceIdentifier *resource)=0
| Enumerates all the resources which reference the specified resource.
virtual MgByteReader * | EnumerateResourceData (MgResourceIdentifier *resource)=0
| Enumerates the resource data for the specified resource.
MgByteReader * | EnumerateResources (MgResourceIdentifier *resource, INT32 depth, CREFSTRING type, bool computeChildren)
| Enumerates the resources in the specified repository.
MgByteReader * | EnumerateResources (MgResourceIdentifier *resource, INT32 depth, CREFSTRING type)
| Enumerates the resources in the specified repository.
virtual MgByteReader * | EnumerateUnmanagedData (CREFSTRING path, bool recursive, CREFSTRING type, CREFSTRING filter)
| Enumerate unmanaged data.
virtual MgByteReader * | GetRepositoryContent (MgResourceIdentifier *resource)=0
| Gets the content for the specified repository.
virtual MgByteReader * | GetRepositoryHeader (MgResourceIdentifier *resource)=0
| Gets the header of the specified repository.
MgByteReader * | GetResourceContent (MgResourceIdentifier *resource)
| Gets the content of the specified resource.
virtual MgByteReader * | GetResourceData (MgResourceIdentifier *resource, CREFSTRING dataName)
| Returns the resource data for the specified resource.
virtual MgByteReader * | GetResourceHeader (MgResourceIdentifier *resource)=0
| Gets the header associated with the specified resource.
virtual void | InheritPermissionsFrom (MgResourceIdentifier *resource)=0
| Sets the permissions for all descendants of a specified folder to be inherited from the folder.
virtual void | MoveResource (MgResourceIdentifier *sourceResource, MgResourceIdentifier *destResource, bool overwrite)=0
| Moves an existing resource to another location.
virtual void | RenameResourceData (MgResourceIdentifier *resource, CREFSTRING oldDataName, CREFSTRING newDataName, bool overwrite)=0
| Renames resource data for the specified resource.
virtual bool | ResourceExists (MgResourceIdentifier *resource)=0
| Checks to see if the specified resource exists.
virtual void | SetResource (MgResourceIdentifier *resource, MgByteReader *content, MgByteReader *header)=0
| Adds a new resource to a resource repository, or updates an existing resource.
virtual void | SetResourceData (MgResourceIdentifier *resource, CREFSTRING dataName, CREFSTRING dataType, MgByteReader *data)=0
| Adds resource data to the specified resource.
virtual void | UpdateRepository (MgResourceIdentifier *resource, MgByteReader *content, MgByteReader *header)=0
| Updates the header and content of the specified repository.

## Detailed Description

Enables you to manipulate repositories and resources.

Remarks:
  Contains methods to:
  - get, add, move, copy, list, and delete resources
  - get, set, rename, list, and delete resource data
  - set permission for repositories and resources

Comments or suggestions? Send us feedback.